## boost1.46 1.46.1

=== debian/changelog ===
boost1.46 (1.46.1-8) unstable; urgency=low

  * patches/gcc-4.7-threading-detection.patch: New, from upstream.  Enable
    gcc 4.7 threading detection.  Closes: #654425.
  
  * patches/mpi-allocator-c++0x.patch: New.  Workaround to enable using
    Boost.MPI with -std=c++0x mode on gcc 4.6.  Fix will be in gcc 4.6.3
    and 4.7.  Closes: #639862.
  
  * patches/trac-ticket-73202.patch: New, from upstream.  Fix for using
    boost thread and c++0x mode.  Closes: #646580.

 -- Steve M. Robbins <smr@debian.org>  Wed, 04 Jan 2012 00:07:27 -0600

boost1.46 (1.46.1-7) unstable; urgency=low

  * control: Fix ungrammatical description for iostreams packages.
    Closes: #633865.
  
  * rules: Dump boostrap log file if bootstrapping fails.
  
  * libboost-doc.README.Debian: Remove reference to packages bjam and
    boost-build; now only need boostX.YZ-dev.  Closes: #630529.

 -- Steve M. Robbins <smr@debian.org>  Wed, 17 Aug 2011 23:18:52 -0500

boost1.46 (1.46.1-6) unstable; urgency=low

  * control(libboost-mpi-python1.46.1, libboost-python1.46.1): Suggests a
    python interpreter.  Closes: #620775.

 -- Steve M. Robbins <smr@debian.org>  Sun, 12 Jun 2011 00:37:42 -0500

boost1.46 (1.46.1-5) unstable; urgency=low

  * patches/openssl-no-ssl2.patch.  New (thanks, Lubo~ Dole~el).  Throw
    exception if sslv2 context requested but OPENSSL_NO_SSL2 defined.
    Closes: #621402, #622027, #622070.

 -- Steve M. Robbins <smr@debian.org>  Mon, 09 May 2011 21:34:12 -0500

boost1.46 (1.46.1-4) unstable; urgency=low

  * NEWS.Debian: fix format.

  * patches/changeset_71050.diff: Fix build with Python 3.2.  Closes:
    #622021

  * rules: Switch from dh_pysupport to dh_python2 and dh_python3.
  * control: Remove X-Python-Version and X-Python3-Version lines, to
    indicate all versions supported.  Ensure all python packages use both
    ${python:Depends} and ${python:Breaks}.
  
  * rules: Remove execute bit from files in usr/share/boost-build.
  
  * patches/remove-rpath.patch: Delete.  Closes: #619766.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 16 Apr 2011 01:45:40 -0500

boost1.46 (1.46.1-3) unstable; urgency=low

  * control: Remove package bjam; install bjam and Boost.Build with -dev
    package.  The latter now conflicts and replaces the old bjam and
    boost-build packages.

  * control:
  * compat: Use debhelper compatibility level 8.
  
  * control: Set Standards-Version to 3.9.1.  Don't build using _REENTRANT
    flag.

 -- Steve M. Robbins <smr@debian.org>  Sat, 19 Mar 2011 18:25:49 -0500

boost1.46 (1.46.1-2) unstable; urgency=low

  * control (libboost-mpi-python1.46.1): Add conflict with
    libboost-mpi-python1.46.0.  Closes: #618441.
  
  * control: new package bjam that installs bjam and manpage.

 -- Steve M. Robbins <smr@debian.org>  Sat, 19 Mar 2011 14:14:47 -0500

boost1.46 (1.46.1-1) unstable; urgency=low

  * New upstream.
  
  * control: Add libboost-random1.46-dev to depends of -all-dev and
    suggests of -dev.  Closes: #615849.

 -- Steve M. Robbins <smr@debian.org>  Sun, 13 Mar 2011 00:37:35 -0600

boost1.46 (1.46.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes Boost ticket 4631.  Closes: #595955.
    - Program.Options updated.  Closes: #593522.
    - Also Closes: #537680.
  
  * control:
  * rules: Set versions to 1.46.  Remove obsolete conflicts.

  * rules: Don't use "long double" for architecture "armhf".  
    Closes: #604107.
  
  * control:
  * rules: New packages for Boost.Random.  Closes: #610821.
  
 -- Steve M. Robbins <smr@debian.org>  Tue, 22 Feb 2011 00:18:43 -0600

boost1.45 (1.45.0-1) experimental; urgency=low

  * New upstream.
    - patches/kfreebsd-jam.patch: Remove.  Applied upstream.
    - patches/boost-build-pythonid.patch: Remove.  Applied upstream.

  * control:
  * rules:
  * documentation-files:
  * example-files: Updates for new version.
  
 -- Steve M. Robbins <smr@debian.org>  Tue, 14 Dec 2010 00:58:11 -0600

boost1.44 (1.44.0-2) experimental; urgency=low

  * rules, control: Build Python extensions for Python 3 in addition to
    Python 2.

  * patches/boost-1.44-py3.1.patch: New.  Fix Boost.MPI build failure for
    Python 3 (thanks, Andreas Kloeckner).  Closes: #595786.

 -- Steve M. Robbins <smr@debian.org>  Sat, 18 Sep 2010 12:03:46 -0500

boost1.44 (1.44.0-1) experimental; urgency=low

  * New upstream.  Closes: #582690, #594634.
    - patches/boost-build-pythonid.patch: Modify.  Partially applied upstream.
    - patches/lambda-include-deps.patch: Remove.  Applied upstream.
    - patches/kfreebsd-thread.patch: Refresh.
    - patches/jam-wall-clean.patch: Remove temporarily.
  
  * rules: The python build ID now specified using --python-buildid.

  * patches/remove-rpath.patch: New.  Disable rpath-setting code.
  
 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Sep 2010 22:24:43 -0500

boost1.42 (1.42.0-4) unstable; urgency=low

  * rules: Copy "doc" directories to $htmldir with --parents option so
    that they end up in the right place.  Closes: #586578.
  
  * patches/lambda-include-deps.patch: New.  Adapted from upstream
    changeset 61881.  Closes: #581706.
  
  * patches/boost-python-examples.patch: Remove "-mt" suffix from
    libboost_python.  Also patch examples/tutorial/Jamroot.  
    Closes: #577793.
  
  * control: Raise priority of libboost-iostreams, since important package
    aptitude depends on it.  Closes: #588608.
  
  * patches/fusion-name-qual.patch: qualify names in boost::fusion
    namespace.  Closes: #588204.

 -- Steve M. Robbins <smr@debian.org>  Sun, 25 Jul 2010 22:26:18 -0500

boost1.42 (1.42.0-3) unstable; urgency=low

  * rules: Add test_exec_monitor.  Closes: #539350.  (Previous upload was
    broken.)

 -- Steve M. Robbins <smr@debian.org>  Mon, 01 Mar 2010 20:33:39 -0600

boost1.42 (1.42.0-2) unstable; urgency=low

  * rules: Add test_exec_monitor.  Closes: #539350.

 -- Steve M. Robbins <smr@debian.org>  Sat, 27 Feb 2010 22:04:09 -0600

boost1.42 (1.42.0-1) unstable; urgency=low


