=== debian/control ===
Source: boost1.46
Homepage: http://www.boost.org/
Section: libs
Priority: optional
Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>, Domenico Andreoli <cavok@debian.org>
Build-Depends: debhelper (>= 8), 
 zlib1g-dev, libbz2-dev, libicu-dev, mpi-default-dev,
 bison, flex, docbook-to-man, help2man, xsltproc, doxygen, 
 python, python-all-dev, 
 python3, python3-all-dev (>= 3.1)
Build-Conflicts: libopenmpi-dev (= 1.3.2-2)
Vcs-Browser: http://svn.debian.org/wsvn/pkg-boost/boost/trunk/
Vcs-Svn: svn://svn.debian.org/svn/pkg-boost/boost/trunk
Standards-Version: 3.9.1

Package: libboost1.46-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, ${shlibs:Depends}, libboost1.46-dev (= ${binary:Version})
Conflicts: libboost1.42-dbg
Description: Boost C++ Libraries with debug symbols
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are built with debug symbols. They are useful to debug
 programs which use Boost. These must be used also at build/link time.

Package: libboost1.46-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libstdc++6-4.4-dev | libstdc++-dev
Suggests: libboost1.46-doc,
 libboost-date-time1.46-dev,
 libboost-filesystem1.46-dev,
 libboost-graph-parallel1.46-dev,
 libboost-graph1.46-dev,
 libboost-iostreams1.46-dev,
 libboost-math1.46-dev,
 libboost-mpi1.46-dev,
 libboost-program-options1.46-dev,
 libboost-python1.46-dev,
 libboost-random1.46-dev,
 libboost-regex1.46-dev,
 libboost-serialization1.46-dev,
 libboost-signals1.46-dev,
 libboost-system1.46-dev,
 libboost-test1.46-dev,
 libboost-thread1.46-dev,
 libboost-wave1.46-dev,
 xsltproc,
 doxygen,
 docbook-xml (>= 4.2),
 docbook-xsl (>= 1.73.2),
 default-jdk (>= 1.4),
 fop (>= 0.94)
Conflicts: bjam, boost-build, libboost1.42-dev
Replaces: bjam, boost-build
Description: Boost C++ Libraries development files
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides headers and the auxiliary tools bjam, Boost.Build,
 bcp, inspect, boostbook and quickbook.
 .
 For the following subprojects separate packages exist: date-time,
 filesystem, graph, iostreams, math, mpi, program_options, python,
 regex, serialization, signals, system, test, thread, and wave.

Package: libboost1.46-all-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.46-dev,
 libboost-date-time1.46-dev, 
 libboost-filesystem1.46-dev, 
 libboost-graph1.46-dev, 
 libboost-graph-parallel1.46-dev, 
 libboost-iostreams1.46-dev, 
 libboost-math1.46-dev, 
 libboost-mpi1.46-dev, 
 libboost-mpi-python1.46-dev, 
 libboost-program-options1.46-dev, 
 libboost-python1.46-dev, 
 libboost-random1.46-dev, 
 libboost-regex1.46-dev, 
 libboost-serialization1.46-dev, 
 libboost-signals1.46-dev, 
 libboost-system1.46-dev, 
 libboost-test1.46-dev, 
 libboost-thread1.46-dev, 
 libboost-wave1.46-dev
Description: Boost C++ Libraries development files (ALL)
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This package provides the complete Boost development environment,
 including all separately-packaged libraries.

Package: libboost1.46-doc
Homepage: http://www.boost.org/libs/
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libboost1.46-dev (>= ${source:Version})
Conflicts: libboost1.42-doc
Description: Boost.org libraries documentation
 The Boost web site provides free, peer-reviewed, portable C++ source
 libraries. The emphasis is on libraries which work well with the C++
 Standard Library. One goal is to establish "existing practice" and
 provide reference implementations so that the Boost libraries are
 suitable for eventual standardization. Some of the libraries have
 already been proposed for inclusion in the C++ Standards Committee's
 upcoming C++ Standard Library Technical Report.
 .
 This is documentation for the libboost1.46-dev package in HTML format.
 Some pages point to header files provided in libboost1.46-dev package,
 so it is suggested to install the latter as well.

Package: libboost-date-time1.46.1
Homepage: http://www.boost.org/libs/date_time/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: set of date-time libraries based on generic programming concepts
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are intended to make programming with dates and times
 almost as simple and natural as programming with strings and integers.

Package: libboost-date-time1.46-dev
Homepage: http://www.boost.org/libs/date_time/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.46-dev (= ${binary:Version}),
 libboost-date-time1.46.1 (= ${binary:Version}),
 libboost-serialization1.46-dev (= ${binary:Version})
Conflicts: libboost-date-time1.42-dev
Description: set of date-time libraries based on generic programming concepts
 This package forms part of the Boost C++ Libraries collection.
 .
 These libraries are intended to make programming with dates and times
 almost as simple and natural as programming with strings and integers.

Package: libboost-filesystem1.46.1
Homepage: http://boost.org/libs/filesystem/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: filesystem operations (portable paths, iteration over directories, etc) in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost Filesystem Library provides portable facilities to query and 
 manipulate paths, files, and directories.  The goal is to
 facilitate portable script-like operations from within C++ programs.

Package: libboost-filesystem1.46-dev
Homepage: http://boost.org/libs/filesystem/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.46-dev (= ${binary:Version}),
 libboost-filesystem1.46.1 (= ${binary:Version}),
 libboost-system1.46-dev (= ${binary:Version})
Conflicts: libboost-filesystem1.42-dev
Description: filesystem operations (portable paths, iteration over directories, etc) in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 The Boost Filesystem Library provides portable facilities to query and 
 manipulate paths, files, and directories.  The goal is to
 facilitate portable script-like operations from within C++ programs.

Package: libboost-graph1.46.1
Homepage: http://www.boost.org/libs/graph/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: graphviz
Description: generic graph components and algorithms in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 Graphs are mathematical abstractions that are useful for solving
 many types of problems in computer science. Consequently, these
 abstractions must also be represented in computer programs. A
 standardized generic interface for traversing graphs is of utmost
 importance to encourage reuse of graph algorithms and data structures.

Package: libboost-graph1.46-dev
Homepage: http://www.boost.org/libs/graph/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.46-dev (= ${binary:Version}),
 libboost-serialization1.46-dev (= ${binary:Version}),
 libboost-test1.46-dev (= ${binary:Version})
Recommends: libboost-graph1.46.1 (= ${binary:Version})
Conflicts: libboost-graph1.42-dev
Description: generic graph components and algorithms in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 Graphs are mathematical abstractions that are useful for solving
 many types of problems in computer science. Consequently, these
 abstractions must also be represented in computer programs. A
 standardized generic interface for traversing graphs is of utmost
 importance to encourage reuse of graph algorithms and data structures.

Package: libboost-graph-parallel1.46.1
Homepage: http://www.boost.org/libs/graph_parallel/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: graphviz
Description: generic graph components and algorithms in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 The Parallel Boost Graph Library is an extension to the Boost Graph Library
 (BGL) for parallel and distributed computing. It offers distributed graphs 
 and graph algorithms to exploit coarse-grained parallelism along with 
 parallel algorithms that exploit fine-grained parallelism, while retaining 
 the same interfaces as the (sequential) BGL. Code written using the sequential
 BGL should be easy to parallelize with the parallel BGL.

Package: libboost-graph-parallel1.46-dev
Homepage: http://www.boost.org/libs/graph_parallel/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.46-dev (= ${binary:Version}),
 libboost-serialization1.46-dev (= ${binary:Version}),
 libboost-test1.46-dev (= ${binary:Version})
Conflicts: libboost-graph-parallel1.42-dev
Recommends: libboost-graph-parallel1.46.1 (= ${binary:Version})
Description: generic graph components and algorithms in C++
 This package forms part of the Boost C++ Libraries collection.
 .
 The Parallel Boost Graph Library is an extension to the Boost Graph Library
 (BGL) for parallel and distributed computing. It offers distributed graphs 
 and graph algorithms to exploit coarse-grained parallelism along with 
 parallel algorithms that exploit fine-grained parallelism, while retaining 
 the same interfaces as the (sequential) BGL. Code written using the sequential
 BGL should be easy to parallelize with the parallel BGL.

Package: libboost-iostreams1.46.1
Homepage: http://www.boost.org/libs/iostreams/
Architecture: any
Section: libs
Priority: important
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Boost.Iostreams Library
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Iostreams are a collection of concepts and a set of templates
 which turn models of these concepts into C++ standard library streams
 and stream buffers.

Package: libboost-iostreams1.46-dev
Homepage: http://www.boost.org/libs/iostreams/
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
 libboost1.46-dev (= ${binary:Version}),
 libboost-regex1.46-dev (= ${binary:Version}),
 libboost-iostreams1.46.1 (= ${binary:Version})
Conflicts: libboost-iostreams1.42-dev
Description: Boost.Iostreams Library development files
 This package forms part of the Boost C++ Libraries collection.
 .
 Boost.Iostreams are a collection of concepts and a set of templates
 which turn models of these concepts into C++ standard library streams
 and stream buffers.

Package: libboost-math1.46.1
Homepage: http://www.boost.org/libs/math/
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Boost.Math Library
 This package forms part of the Boost C++ Libraries collection.
 .
 This library is divided into three interconnected parts:
  * Statistical Distributions: Provides a reasonably comprehensive set of 
    statistical distributions, upon which higher level statistical tests 
    can be built.
  * Mathematical Special Functions: Provides a small number of high quality
